| Flutter Impeller |

Public Member Functions | List of all members
impeller::PathSource Class Referenceabstract

`#include <path_source.h>`

Inheritance diagram for impeller::PathSource:

## Public Member Functions
virtual | ~PathSource ()=default
virtual FillType | GetFillType () const =0
virtual Rect | GetBounds () const =0
virtual bool | IsConvex () const =0
virtual void | Dispatch (PathReceiver &receiver) const =0

## Detailed Description

Definition at line 55 of file path_source.h.

## Constructor & Destructor Documentation

## ◆ ~PathSource()

virtual impeller::PathSource::~PathSource | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ Dispatch()

virtual void impeller::PathSource::Dispatch | ( | PathReceiver & | receiver | ) | const
| pure virtual

Implemented in impeller::RoundSuperellipsePathSource, impeller::DiffRoundRectPathSource, impeller::RoundRectPathSource, impeller::EllipsePathSource, impeller::RectPathSource, and impeller::DashedLinePathSource.

Referenced by impeller::PathTessellator::CountFillStorage(), impeller::PathTessellator::PathToFilledSegments(), impeller::PathTessellator::PathToFilledVertices(), impeller::PathTessellator::PathToStrokedSegments(), and impeller::PathTessellator::PathToTransformedFilledVertices().

## ◆ GetBounds()

virtual Rect impeller::PathSource::GetBounds | ( |  | ) | const
| pure virtual

Implemented in impeller::RoundSuperellipsePathSource, impeller::DiffRoundRectPathSource, impeller::RoundRectPathSource, impeller::EllipsePathSource, impeller::RectPathSource, and impeller::DashedLinePathSource.

## ◆ GetFillType()

virtual FillType impeller::PathSource::GetFillType | ( |  | ) | const
| pure virtual

Implemented in impeller::RoundSuperellipsePathSource, impeller::DiffRoundRectPathSource, impeller::RoundRectPathSource, impeller::EllipsePathSource, impeller::RectPathSource, and impeller::DashedLinePathSource.

Referenced by impeller::TessellatorLibtess::Tessellate().

## ◆ IsConvex()

virtual bool impeller::PathSource::IsConvex | ( |  | ) | const
| pure virtual

Implemented in impeller::RoundSuperellipsePathSource, impeller::DiffRoundRectPathSource, impeller::RoundRectPathSource, impeller::EllipsePathSource, impeller::RectPathSource, and impeller::DashedLinePathSource.

The documentation for this class was generated from the following file:

- impeller/geometry/path_source.h